from grocy.request import Request
from grocy.conf import Configuration
import logging


class Recipe(object):
    GET_RECIPE_REQUIRMENTS_URL_TEMPLATE = '{api}/recipes/requirements'

    def __init__(self):
        self.conf = Configuration()
        self.conf.load()

    def get_requirements(self):
        logger = logging.getLogger('recipe.get_requirements')
        url = self.GET_RECIPE_REQUIRMENTS_URL_TEMPLATE.format(api=self.conf.api)
        request = Request('get', url)
        try:
            return request.send()
        except Exception as e:
            logger.error(e)
            raise e

